package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TTempPermission;
import com.sooka.system.domain.TempPerUser;

/**
 * tempPerService接口
 *
 * @author lei
 * @date 2022-08-09
 */
public interface ITTempPermissionService
{
    /**
     * 查询tempPer
     *
     * @param id tempPerID
     * @return tempPer
     */
    public TTempPermission selectTTempPermissionById(Long id);

    /**
     * 查询tempPer列表
     *
     * @param tTempPermission tempPer
     * @return tempPer集合
     */
    public List<TTempPermission> selectTTempPermissionList(TTempPermission tTempPermission);

    /**
     * 新增tempPer
     *
     * @param tTempPermission tempPer
     * @return 结果
     */
    public int insertTTempPermission(TTempPermission tTempPermission);

    /**
     * 修改tempPer
     *
     * @param tTempPermission tempPer
     * @return 结果
     */
    public int updateTTempPermission(TTempPermission tTempPermission);

    /**
     * 批量删除tempPer
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTempPermissionByIds(String ids);

    /**
     * 删除tempPer信息
     *
     * @param id tempPerID
     * @return 结果
     */
    public int deleteTTempPermissionById(Long id);


    public List<TempPerUser> listUser();

}
